Skip to main content
GET
/
projects
/
{project_reference}
/
traces
/
{trace_id}
Get Project Trace
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/traces/{trace_id} \
  --header 'Authorization: Bearer <token>'
{
  "trace_id": "<string>",
  "root_span_name": "<string>",
  "root_service": "<string>",
  "started_at": "<string>",
  "duration_ms": 123,
  "status": "ok",
  "span_count": 123,
  "services": [
    "<string>"
  ],
  "project_id": "<string>",
  "root_span_id": "<string>",
  "spans": [
    {
      "span_id": "<string>",
      "parent_span_id": "<string>",
      "name": "<string>",
      "service": "<string>",
      "started_at": "<string>",
      "ended_at": "<string>",
      "duration_ms": 123,
      "status": "ok",
      "attributes": {},
      "events": [
        {
          "name": "<string>",
          "timestamp": "<string>",
          "attributes": {}
        }
      ]
    }
  ],
  "project_slug": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

trace_id
string
required

Trace ID

Response

Trace detail

trace_id
string
required
root_span_name
string
required
root_service
string
required
started_at
string
required
duration_ms
number
required
status
enum<string>
required
Available options:
ok,
error,
unset,
unknown
span_count
number
required
services
string[]
required
project_id
string
required
root_span_id
string | null
required
spans
object[]
required
project_slug
string